/****************************************************************************
**
** Copyright (C) 2000-$THISYEAR$ $TROLLTECH$. All rights reserved.
**
** This file is part of the $MODULE$ of the Qtopia Toolkit.
**
** $TROLLTECH_DUAL_LICENSE$
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "brcm1103screendriverplugin.h"
#include "brcm1103screen.h"


Brcm1103ScreenDriverPlugin::Brcm1103ScreenDriverPlugin( QObject *parent )
: QScreenDriverPlugin( parent )
{
}

Brcm1103ScreenDriverPlugin::~Brcm1103ScreenDriverPlugin()
{
}

QScreen* Brcm1103ScreenDriverPlugin::create(const QString& key, int displayId)
{
    if (key.toLower() == "brcm1103fb") 
        return new Brcm1103Screen(displayId);
    
    return 0;
}

QStringList Brcm1103ScreenDriverPlugin::keys() const
{
    return QStringList() << "Brcm1103Fb";
}

Q_EXPORT_PLUGIN2(Brcm1103Fb, Brcm1103ScreenDriverPlugin)

